Ubuntu

CVE-2011-4347

Reported by John Johansen on 2011-11-29
258
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Andy Whitcroft
Precise
Low
Unassigned
Quantal
Low
Unassigned
linux-armadaxp (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Undecided
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
linux-ec2 (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
linux-fsl-imx51 (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
linux-lts-backport-maverick (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
linux-lts-backport-natty (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
linux-lts-backport-oneiric (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
linux-mvl-dove (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
linux-ti-omap4 (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Unassigned
Oneiric
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned

Bug Description

It was found that kvm_vm_ioctl_assign_device function did not check if the user requesting assignment was privileged or not. Together with /dev/kvm being 666, unprivileged user could assign unused pci devices, or even devices that were in use and whose resources were not properly claimed by the respective drivers. Please note that privileged access was still needed to re-program the device to for example issue DMA requests. This is typically achieved by touching files on sysfs filesystem. These files are usually not accessible to unprivileged users. As a result, local user could use this flaw to crash the system.

Break-Fix: 4d5c5d0fe89c921336b95f5e7e4f529a9df92f53 3d27e23b17010c668db311140b17bbbb70c78fb9
Break-Fix: 4d5c5d0fe89c921336b95f5e7e4f529a9df92f53 423873736b78f549fbfa2f715f2e4de7e6c5e1e9

John Johansen (jjohansen) wrote :

CVE-2011-4347

tags: added: kernel-cve-tracking-bug
security vulnerability: no → yes
security vulnerability: no → yes
Changed in linux-ec2 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Natty):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Maverick):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Natty):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Maverick):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Natty):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Precise):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Hardy):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Natty):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Maverick):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Natty):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Maverick):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Natty):
status: New → Invalid
description: updated
Changed in linux-ec2 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Maverick):
status: New → Invalid
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Natty):
importance: Undecided → Low
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux (Ubuntu Precise):
importance: Undecided → Low
Changed in linux (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Natty):
importance: Undecided → Low
description: updated
Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Maverick):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Maverick):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Natty):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Invalid
Changed in linux (Ubuntu Precise):
status: New → Invalid
description: updated
Changed in linux (Ubuntu Hardy):
status: New → Invalid
Andy Whitcroft (apw) on 2012-02-28
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Committed
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: New → Fix Committed
Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: New → Fix Committed
Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
Changed in linux (Ubuntu Maverick):
status: New → Fix Committed
Changed in linux (Ubuntu Natty):
status: New → Fix Committed
Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.57

---------------
linux (2.6.38-13.57) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #947254

  [ Upstream Kernel Changes ]

  * KVM: Device assignment permission checks
    - LP: #897812
    - CVE-2011-4347
  * HID: hid-apple: add device ID of another wireless aluminium
    - LP: #942184
  * eCryptfs: Extend array bounds for all filename chars
    - LP: #944990
  * eCryptfs: Remove extra d_delete in ecryptfs_rmdir
    - LP: #723518
  * eCryptfs: Clear i_nlink in rmdir
    - LP: #723518
  * ipc/sem.c: fix race with concurrent semtimedop() timeouts and IPC_RMID
    - LP: #943815
  * eCryptfs: Sanitize write counts of /dev/ecryptfs
    - LP: #947075
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #947143
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 05 Mar 2012 13:28:11 -0300

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-32.67

---------------
linux (2.6.35-32.67) maverick-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #947206

  [ Upstream Kernel Changes ]

  * KVM: Device assignment permission checks
    - LP: #897812
    - CVE-2011-4347
 -- Luis Henriques <email address hidden> Mon, 05 Mar 2012 14:29:22 +0000

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-mvl-dove - 2.6.32-424.43

---------------
linux-mvl-dove (2.6.32-424.43) maverick-proposed; urgency=low

  * Release Tracking Bug
    - LP: #947896

  [ Paolo Pisati ]

  * Rebased to 2.6.32-40.87

  [ Ubuntu: 2.6.32-40.87 ]

  * Release Tracking Bug
    - LP: #947375
  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #932043
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #932043
  * NFSv4: Fix up the callers of nfs4_state_end_reclaim_reboot
    - LP: #932043
  * NFSv4: The state manager shouldn't exit on errors that were handled
    - LP: #932043
  * NFSv4: Ensure the state manager handles NFS4ERR_NO_GRACE correctly
    - LP: #932043
  * NFSv4: Handle NFS4ERR_GRACE when recovering an expired lease.
    - LP: #932043
  * NFSv4: Fix open recovery
    - LP: #932043
  * rpc client can not deal with ENOSOCK, so translate it into ENOCONN
    - LP: #932043
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #932043
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #932043
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #932043
  * Staging: asus_oled: fix image processing
    - LP: #932043
  * Staging: android: binder: Don't call dump_stack in binder_vma_open
    - LP: #932043
  * Staging: android: binder: Fix crashes when sharing a binder file
    between processes
    - LP: #932043
  * usb: gadget: zero: fix bug in loopback autoresume handling
    - LP: #932043
  * usb: Skip PCI USB quirk handling for Netlogic XLP
    - LP: #932043
  * USB: usbserial: add new PID number (0xa951) to the ftdi driver
    - LP: #932043
  * mmc: cb710 core: Add missing spin_lock_init for irq_lock of struct
    cb710_chip
    - LP: #932043
  * net: fix sk_forward_alloc corruptions
    - LP: #932043
  * net: sock_queue_err_skb() dont mess with sk_forward_alloc
    - LP: #932043
  * Linux 2.6.32.57
    - LP: #932043
  * Ban ecryptfs over ecryptfs
    - LP: #932987
  * eCryptfs: Remove mmap from directory operations
    - LP: #400443
  * eCryptfs: Use notify_change for truncating lower inodes
    - LP: #451368
  * ecryptfs: read on a directory should return EISDIR if not supported
    - LP: #719691
  * eCryptfs: Remove extra d_delete in ecryptfs_rmdir
    - LP: #723518
  * eCryptfs: Clear i_nlink in rmdir
    - LP: #723518
  * KVM: Device assignment permission checks
    - LP: #897812
    - CVE-2011-4347
  * block: Fix io_context leak after clone with CLONE_IO
    - LP: #940743
    - CVE-2012-0879
  * block: Fix io_context leak after failure of clone with CLONE_IO
    - LP: #940743
    - CVE-2012-0879
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * drm/i915: Fix TV Out refresh rate.
    - LP: #945114
  * Linux 2.6.32.57+drm33.23
    - LP: #945114
 -- Paolo Pisati <email address hidden> Wed, 07 Mar 2012 15:23:30 +0100

Changed in linux-mvl-dove (Ubuntu Maverick):
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-backport-natty - 2.6.38-13.57~lucid1

---------------
linux-lts-backport-natty (2.6.38-13.57~lucid1) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #947707

  [ Upstream Kernel Changes ]

  * KVM: Device assignment permission checks
    - LP: #897812
    - CVE-2011-4347
  * HID: hid-apple: add device ID of another wireless aluminium
    - LP: #942184
  * eCryptfs: Extend array bounds for all filename chars
    - LP: #944990
  * eCryptfs: Remove extra d_delete in ecryptfs_rmdir
    - LP: #723518
  * eCryptfs: Clear i_nlink in rmdir
    - LP: #723518
  * ipc/sem.c: fix race with concurrent semtimedop() timeouts and IPC_RMID
    - LP: #943815
  * eCryptfs: Sanitize write counts of /dev/ecryptfs
    - LP: #947075
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #947143

linux (2.6.38-13.56) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #931640

  [ Upstream Kernel Changes ]

  * igmp: Avoid zero delay when receiving odd mixture of IGMP queries
    - LP: #917848
    - CVE-2012-0207
  * TOMOYO: Fix oops in tomoyo_mount_acl().
    - LP: #922377
    - CVE-2011-2518
  * oom: fix integer overflow of points in oom_badness
    - LP: #922374
    - CVE-2011-2498
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 06 Mar 2012 16:13:01 -0300

Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-backport-maverick - 2.6.35-32.67~lucid1

---------------
linux-lts-backport-maverick (2.6.35-32.67~lucid1) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #947898

  [ Upstream Kernel Changes ]

  * KVM: Device assignment permission checks
    - LP: #897812
    - CVE-2011-4347

linux (2.6.35-32.66) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #931600

  [ Upstream Kernel Changes ]

  * net: ip_expire() must revalidate route
    - LP: #922051
    - CVE-2011-1927
  * bridge: Fix mglist corruption that leads to memory corruption
    - LP: #917813
    - CVE-2011-0716
  * AppArmor: fix oops in apparmor_setprocattr
    - LP: #789409
    - CVE-2011-3619
 -- Luis Henriques <email address hidden> Tue, 06 Mar 2012 15:51:10 +0000

Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-344.46

---------------
linux-ec2 (2.6.32-344.46) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-40.87
  * Release Tracking Bug
    - LP: #948277

  [ Ubuntu: 2.6.32-40.87 ]

  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #932043
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #932043
  * NFSv4: Fix up the callers of nfs4_state_end_reclaim_reboot
    - LP: #932043
  * NFSv4: The state manager shouldn't exit on errors that were handled
    - LP: #932043
  * NFSv4: Ensure the state manager handles NFS4ERR_NO_GRACE correctly
    - LP: #932043
  * NFSv4: Handle NFS4ERR_GRACE when recovering an expired lease.
    - LP: #932043
  * NFSv4: Fix open recovery
    - LP: #932043
  * rpc client can not deal with ENOSOCK, so translate it into ENOCONN
    - LP: #932043
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #932043
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #932043
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #932043
  * Staging: asus_oled: fix image processing
    - LP: #932043
  * Staging: android: binder: Don't call dump_stack in binder_vma_open
    - LP: #932043
  * Staging: android: binder: Fix crashes when sharing a binder file
    between processes
    - LP: #932043
  * usb: gadget: zero: fix bug in loopback autoresume handling
    - LP: #932043
  * usb: Skip PCI USB quirk handling for Netlogic XLP
    - LP: #932043
  * USB: usbserial: add new PID number (0xa951) to the ftdi driver
    - LP: #932043
  * mmc: cb710 core: Add missing spin_lock_init for irq_lock of struct
    cb710_chip
    - LP: #932043
  * net: fix sk_forward_alloc corruptions
    - LP: #932043
  * net: sock_queue_err_skb() dont mess with sk_forward_alloc
    - LP: #932043
  * Linux 2.6.32.57
    - LP: #932043
  * Ban ecryptfs over ecryptfs
    - LP: #932987
  * eCryptfs: Remove mmap from directory operations
    - LP: #400443
  * eCryptfs: Use notify_change for truncating lower inodes
    - LP: #451368
  * ecryptfs: read on a directory should return EISDIR if not supported
    - LP: #719691
  * eCryptfs: Remove extra d_delete in ecryptfs_rmdir
    - LP: #723518
  * eCryptfs: Clear i_nlink in rmdir
    - LP: #723518
  * KVM: Device assignment permission checks
    - LP: #897812
    - CVE-2011-4347
  * block: Fix io_context leak after clone with CLONE_IO
    - LP: #940743
    - CVE-2012-0879
  * block: Fix io_context leak after failure of clone with CLONE_IO
    - LP: #940743
    - CVE-2012-0879
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * drm/i915: Fix TV Out refresh rate.
    - LP: #945114
  * Linux 2.6.32.57+drm33.23
    - LP: #945114
 -- Stefan Bader <email address hidden> Wed, 07 Mar 2012 10:26:52 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (6.7 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.0.0-1208.18

---------------
linux-ti-omap4 (3.0.0-1208.18) oneiric-proposed; urgency=low

  * Release Tracking Bug
    - LP: #950572

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.0.0-17.30

  [ Ubuntu: 3.0.0-17.30 ]

  * Release Tracking Bug
    - LP: #949882
  * [Config] restore build-% shortcut
  * (config) Fix virtual flavour inclusion of xen-kbdfront
    - LP: #944582
  * readahead: fix pipeline break caused by block plug
    - LP: #931719
  * ALSA: HDA: Fix duplicated output to more than one codec
    - LP: #924320, #931719
  * ASoC: wm_hubs: Enable line out VMID buffer for single ended line
    outputs
    - LP: #931719
  * ASoC: wm_hubs: fix wrong bits for LINEOUT2 N/P mixer
    - LP: #931719
  * ARM: 7306/1: vfp: flush thread hwstate before restoring context from
    sigframe
    - LP: #931719
  * ARM: 7307/1: vfp: fix ptrace regset modification race
    - LP: #931719
  * ARM: 7308/1: vfp: flush thread hwstate before copying ptrace registers
    - LP: #931719
  * ARM: OMAP2+: GPMC: fix device size setup
    - LP: #931719
  * drivers/tty/vt/vt_ioctl.c: fix KDFONTOP 32bit compatibility layer
    - LP: #931719
  * proc: mem_release() should check mm != NULL
    - LP: #931719
  * proc: unify mem_read() and mem_write()
    - LP: #931719
  * proc: make sure mem_open() doesn't pin the target's memory
    - LP: #931719
  * firewire: ohci: add reset packet quirk for SB Audigy
    - LP: #931719
  * firewire: ohci: disable MSI on Ricoh controllers
    - LP: #931719
  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #931719
  * kprobes: fix a memory leak in function pre_handler_kretprobe()
    - LP: #931719
  * at_hdmac: bugfix for enabling channel irq
    - LP: #931719
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #931719
  * mm: compaction: check pfn_valid when entering a new MAX_ORDER_NR_PAGES
    block during isolation for migration
    - LP: #931719
  * drm/radeon: Set DESKTOP_HEIGHT register to the framebuffer (not mode)
    height.
    - LP: #931719
  * drm/nouveau/gem: fix fence_sync race / oops
    - LP: #931719
  * drm/radeon/kms: disable output polling when suspended
    - LP: #931719
  * sched/rt: Fix task stack corruption under
    __ARCH_WANT_INTERRUPTS_ON_CTXSW
    - LP: #931719
  * ASoC: Ensure we generate a driver name
    - LP: #931719
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #931719
  * drm/i915: HDMI hot remove notification to audio driver
    - LP: #931719
  * drm/i915: DisplayPort hot remove notification to audio driver
    - LP: #931719
  * drm/i915: check ACTHD of all rings
    - LP: #931719
  * drm/i915: Fix TV Out refresh rate.
    - LP: #931719
  * drm/i915: handle 3rd pipe
    - LP: #931719
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #931719
  * cifs: Fix oops in session setup code for null user mounts
    - LP: #931719
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #931719
  * lockdep, bug: Exclude TAINT_FIRMWARE_WORKAROUND from disabling lockdep
    - LP: #931719
  * hwmon: (w83627ehf) Fix number of fans for NCT6776F
    - LP: #93171...

Read more...

Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (18.8 KiB)

This bug was fixed in the package linux-lts-backport-oneiric - 3.0.0-17.30~lucid1

---------------
linux-lts-backport-oneiric (3.0.0-17.30~lucid1) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #950573

  [ Andy Whitcroft ]

  * [Config] restore build-% shortcut

  [ Stefan Bader ]

  * (config) Fix virtual flavour inclusion of xen-kbdfront
    - LP: #944582

  [ Upstream Kernel Changes ]

  * readahead: fix pipeline break caused by block plug
    - LP: #931719
  * ALSA: HDA: Fix duplicated output to more than one codec
    - LP: #924320, #931719
  * ASoC: wm_hubs: Enable line out VMID buffer for single ended line
    outputs
    - LP: #931719
  * ASoC: wm_hubs: fix wrong bits for LINEOUT2 N/P mixer
    - LP: #931719
  * ARM: 7306/1: vfp: flush thread hwstate before restoring context from
    sigframe
    - LP: #931719
  * ARM: 7307/1: vfp: fix ptrace regset modification race
    - LP: #931719
  * ARM: 7308/1: vfp: flush thread hwstate before copying ptrace registers
    - LP: #931719
  * ARM: OMAP2+: GPMC: fix device size setup
    - LP: #931719
  * drivers/tty/vt/vt_ioctl.c: fix KDFONTOP 32bit compatibility layer
    - LP: #931719
  * proc: mem_release() should check mm != NULL
    - LP: #931719
  * proc: unify mem_read() and mem_write()
    - LP: #931719
  * proc: make sure mem_open() doesn't pin the target's memory
    - LP: #931719
  * firewire: ohci: add reset packet quirk for SB Audigy
    - LP: #931719
  * firewire: ohci: disable MSI on Ricoh controllers
    - LP: #931719
  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #931719
  * kprobes: fix a memory leak in function pre_handler_kretprobe()
    - LP: #931719
  * at_hdmac: bugfix for enabling channel irq
    - LP: #931719
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #931719
  * mm: compaction: check pfn_valid when entering a new MAX_ORDER_NR_PAGES
    block during isolation for migration
    - LP: #931719
  * drm/radeon: Set DESKTOP_HEIGHT register to the framebuffer (not mode)
    height.
    - LP: #931719
  * drm/nouveau/gem: fix fence_sync race / oops
    - LP: #931719
  * drm/radeon/kms: disable output polling when suspended
    - LP: #931719
  * sched/rt: Fix task stack corruption under
    __ARCH_WANT_INTERRUPTS_ON_CTXSW
    - LP: #931719
  * ASoC: Ensure we generate a driver name
    - LP: #931719
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #931719
  * drm/i915: HDMI hot remove notification to audio driver
    - LP: #931719
  * drm/i915: DisplayPort hot remove notification to audio driver
    - LP: #931719
  * drm/i915: check ACTHD of all rings
    - LP: #931719
  * drm/i915: Fix TV Out refresh rate.
    - LP: #931719
  * drm/i915: handle 3rd pipe
    - LP: #931719
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #931719
  * cifs: Fix oops in session setup code for null user mounts
    - LP: #931719
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #931719
  * lockdep, bug: Exclude TAINT_FIRMWARE_WORKAROUND from disabling lockdep
    - LP: #931719
  * hwmon: (w83627ehf) Fix number of fans for NCT6776F
    - LP: #931...

Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (6.6 KiB)

This bug was fixed in the package linux - 3.0.0-17.30

---------------
linux (3.0.0-17.30) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #949882

  [ Andy Whitcroft ]

  * [Config] restore build-% shortcut

  [ Stefan Bader ]

  * (config) Fix virtual flavour inclusion of xen-kbdfront
    - LP: #944582

  [ Upstream Kernel Changes ]

  * readahead: fix pipeline break caused by block plug
    - LP: #931719
  * ALSA: HDA: Fix duplicated output to more than one codec
    - LP: #924320, #931719
  * ASoC: wm_hubs: Enable line out VMID buffer for single ended line
    outputs
    - LP: #931719
  * ASoC: wm_hubs: fix wrong bits for LINEOUT2 N/P mixer
    - LP: #931719
  * ARM: 7306/1: vfp: flush thread hwstate before restoring context from
    sigframe
    - LP: #931719
  * ARM: 7307/1: vfp: fix ptrace regset modification race
    - LP: #931719
  * ARM: 7308/1: vfp: flush thread hwstate before copying ptrace registers
    - LP: #931719
  * ARM: OMAP2+: GPMC: fix device size setup
    - LP: #931719
  * drivers/tty/vt/vt_ioctl.c: fix KDFONTOP 32bit compatibility layer
    - LP: #931719
  * proc: mem_release() should check mm != NULL
    - LP: #931719
  * proc: unify mem_read() and mem_write()
    - LP: #931719
  * proc: make sure mem_open() doesn't pin the target's memory
    - LP: #931719
  * firewire: ohci: add reset packet quirk for SB Audigy
    - LP: #931719
  * firewire: ohci: disable MSI on Ricoh controllers
    - LP: #931719
  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #931719
  * kprobes: fix a memory leak in function pre_handler_kretprobe()
    - LP: #931719
  * at_hdmac: bugfix for enabling channel irq
    - LP: #931719
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #931719
  * mm: compaction: check pfn_valid when entering a new MAX_ORDER_NR_PAGES
    block during isolation for migration
    - LP: #931719
  * drm/radeon: Set DESKTOP_HEIGHT register to the framebuffer (not mode)
    height.
    - LP: #931719
  * drm/nouveau/gem: fix fence_sync race / oops
    - LP: #931719
  * drm/radeon/kms: disable output polling when suspended
    - LP: #931719
  * sched/rt: Fix task stack corruption under
    __ARCH_WANT_INTERRUPTS_ON_CTXSW
    - LP: #931719
  * ASoC: Ensure we generate a driver name
    - LP: #931719
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #931719
  * drm/i915: HDMI hot remove notification to audio driver
    - LP: #931719
  * drm/i915: DisplayPort hot remove notification to audio driver
    - LP: #931719
  * drm/i915: check ACTHD of all rings
    - LP: #931719
  * drm/i915: Fix TV Out refresh rate.
    - LP: #931719
  * drm/i915: handle 3rd pipe
    - LP: #931719
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #931719
  * cifs: Fix oops in session setup code for null user mounts
    - LP: #931719
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #931719
  * lockdep, bug: Exclude TAINT_FIRMWARE_WORKAROUND from disabling lockdep
    - LP: #931719
  * hwmon: (w83627ehf) Fix number of fans for NCT6776F
    - LP: #931719
  * ASoC: wm_hubs: Fix routing of input PGAs to li...

Read more...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Changed in linux-armadaxp (Ubuntu Maverick):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Oneiric):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Hardy):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Natty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-armadaxp (Ubuntu Quantal):
status: New → Fix Committed
importance: Undecided → Low
Ike Panhc (ikepanhc) on 2012-09-20
Changed in linux-armadaxp (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux-armadaxp (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers